﻿using System;
using System.Collections.Generic;
using System.Windows;
using wpf_ChartView_996489.Tooltip;

namespace wpf_ChartView_996489
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.InitializeComponent();
            List<ProfitDifferenceContext> items = CreateItems();
            this.chart.Series[0].ItemsSource = items;
        }

        private List<ProfitDifferenceContext> CreateItems()
        {
            List<ProfitDifferenceContext> items = new List<ProfitDifferenceContext>();
            Random r = new Random(0);
            const int itemsCount = 4;

            for (int i = 0; i < itemsCount; i++)
            {
                ProfitDifferenceContext profitDiffContext = new ProfitDifferenceContext()
                {
                    Quarter = string.Format("Q{0}", i + 1),
                    Profit = r.Next(1, 20) + (double)r.Next(1, 20) / 10 + (double)r.Next(1, 20) / 100
                };

                items.Add(profitDiffContext);
            }

            return items;
        }
    }
}
